History Substring Search
========================

Integrates [zsh-syntax-highlighting][1] into Oh My Zsh, which implements the
[Fish shell][2]'s history search feature, where the user can type in any part
of a previously entered command and press the `UP` and `DOWN` arrow keys to
cycle through matching commands.

If this module is used in conjuncture with the *syntax-highlighting* module, it
must be loaded **after** it.

Contributors
------------

New features and bug fixes should be submitted to the
[zsh-history-substring-search][1] project according to its rules and
regulations. This module will be synchronized against it.

Settings
--------

### Case Sensitivity

To enable case-sensitivity for this module only, add the following line to
*zshrc*:

    zstyle ':omz:module:history-substring-search' case-sensitive 'yes'

### Highlighting

If colors are enabled, *history-substring-search* will automatically highlight
positive results.

To enable highlighting for this module only, and the following line to *zshrc*:

    zstyle ':omz:module:history-substring-search' color 'yes'

Authors
-------

*The authors of this module should be contacted via the [issue tracker][3].*

  - [Suraj N. Kurapati](https://github.com/sunaku)
  - [Sorin Ionescu](https://github.com/sorin-ionescu)

[1]: https://github.com/zsh-users/zsh-history-substring-search
[2]: http://fishshell.com
[3]: https://github.com/sorin-ionescu/oh-my-zsh/issues

